Type to search.

Delete cloud onboarding deployment

Base URL
https://{kibana_url}
  • DELETE /api/fleet/cloud_onboarding_deployments/{id}
  • DELETE /s/{space_id}/api/fleet/cloud_onboarding_deployments/{id}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.5 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Delete a cloud onboarding deployment by ID.

Required privileges

Privileges fleet-agent-policies-all or integrations-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · max length: 255 required

The saved object ID of the cloud onboarding deployment.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Responses

Successful response

application/json
id string required